1# Makefile.in generated by automake 1.11.1 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
6# Inc.
7# This Makefile.in is free software; the Free Software Foundation
8# gives unlimited permission to copy and/or distribute it,
9# with or without modifications, as long as this notice is preserved.
10
11# This program is distributed in the hope that it will be useful,
12# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14# PARTICULAR PURPOSE.
15
16@SET_MAKE@
17
18# $Id$
19
20# $Id$
21
22# $Id$
23
24
25
26VPATH = @srcdir@
27pkgdatadir = $(datadir)/@PACKAGE@
28pkgincludedir = $(includedir)/@PACKAGE@
29pkglibdir = $(libdir)/@PACKAGE@
30pkglibexecdir = $(libexecdir)/@PACKAGE@
31am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
32install_sh_DATA = $(install_sh) -c -m 644
33install_sh_PROGRAM = $(install_sh) -c
34install_sh_SCRIPT = $(install_sh) -c
35INSTALL_HEADER = $(INSTALL_DATA)
36transform = $(program_transform_name)
37NORMAL_INSTALL = :
38PRE_INSTALL = :
39POST_INSTALL = :
40NORMAL_UNINSTALL = :
41PRE_UNINSTALL = :
42POST_UNINSTALL = :
43build_triplet = @build@
44host_triplet = @host@
45DIST_COMMON = $(dist_kadm5include_HEADERS) $(srcdir)/Makefile.am \
46	$(srcdir)/Makefile.in $(top_srcdir)/Makefile.am.common \
47	$(top_srcdir)/cf/Makefile.am.common ChangeLog
48@versionscript_TRUE@am__append_1 = $(LDFLAGS_VERSION_SCRIPT)$(srcdir)/version-script.map
49sbin_PROGRAMS = iprop-log$(EXEEXT)
50check_PROGRAMS = default_keys$(EXEEXT)
51noinst_PROGRAMS = test_pw_quality$(EXEEXT)
52libexec_PROGRAMS = ipropd-master$(EXEEXT) ipropd-slave$(EXEEXT)
53subdir = lib/kadm5
54ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
55am__aclocal_m4_deps = $(top_srcdir)/cf/aix.m4 \
56	$(top_srcdir)/cf/auth-modules.m4 \
57	$(top_srcdir)/cf/broken-getaddrinfo.m4 \
58	$(top_srcdir)/cf/broken-glob.m4 \
59	$(top_srcdir)/cf/broken-realloc.m4 \
60	$(top_srcdir)/cf/broken-snprintf.m4 $(top_srcdir)/cf/broken.m4 \
61	$(top_srcdir)/cf/broken2.m4 $(top_srcdir)/cf/c-attribute.m4 \
62	$(top_srcdir)/cf/capabilities.m4 \
63	$(top_srcdir)/cf/check-compile-et.m4 \
64	$(top_srcdir)/cf/check-getpwnam_r-posix.m4 \
65	$(top_srcdir)/cf/check-man.m4 \
66	$(top_srcdir)/cf/check-netinet-ip-and-tcp.m4 \
67	$(top_srcdir)/cf/check-type-extra.m4 \
68	$(top_srcdir)/cf/check-var.m4 $(top_srcdir)/cf/check-x.m4 \
69	$(top_srcdir)/cf/check-xau.m4 $(top_srcdir)/cf/crypto.m4 \
70	$(top_srcdir)/cf/db.m4 $(top_srcdir)/cf/destdirs.m4 \
71	$(top_srcdir)/cf/dispatch.m4 $(top_srcdir)/cf/dlopen.m4 \
72	$(top_srcdir)/cf/find-func-no-libs.m4 \
73	$(top_srcdir)/cf/find-func-no-libs2.m4 \
74	$(top_srcdir)/cf/find-func.m4 \
75	$(top_srcdir)/cf/find-if-not-broken.m4 \
76	$(top_srcdir)/cf/framework-security.m4 \
77	$(top_srcdir)/cf/have-struct-field.m4 \
78	$(top_srcdir)/cf/have-type.m4 $(top_srcdir)/cf/irix.m4 \
79	$(top_srcdir)/cf/krb-bigendian.m4 \
80	$(top_srcdir)/cf/krb-func-getlogin.m4 \
81	$(top_srcdir)/cf/krb-ipv6.m4 $(top_srcdir)/cf/krb-prog-ln-s.m4 \
82	$(top_srcdir)/cf/krb-readline.m4 \
83	$(top_srcdir)/cf/krb-struct-spwd.m4 \
84	$(top_srcdir)/cf/krb-struct-winsize.m4 \
85	$(top_srcdir)/cf/largefile.m4 $(top_srcdir)/cf/libtool.m4 \
86	$(top_srcdir)/cf/ltoptions.m4 $(top_srcdir)/cf/ltsugar.m4 \
87	$(top_srcdir)/cf/ltversion.m4 $(top_srcdir)/cf/lt~obsolete.m4 \
88	$(top_srcdir)/cf/mips-abi.m4 $(top_srcdir)/cf/misc.m4 \
89	$(top_srcdir)/cf/need-proto.m4 $(top_srcdir)/cf/osfc2.m4 \
90	$(top_srcdir)/cf/otp.m4 $(top_srcdir)/cf/pkg.m4 \
91	$(top_srcdir)/cf/proto-compat.m4 $(top_srcdir)/cf/pthreads.m4 \
92	$(top_srcdir)/cf/resolv.m4 $(top_srcdir)/cf/retsigtype.m4 \
93	$(top_srcdir)/cf/roken-frag.m4 \
94	$(top_srcdir)/cf/socket-wrapper.m4 $(top_srcdir)/cf/sunos.m4 \
95	$(top_srcdir)/cf/telnet.m4 $(top_srcdir)/cf/test-package.m4 \
96	$(top_srcdir)/cf/version-script.m4 $(top_srcdir)/cf/wflags.m4 \
97	$(top_srcdir)/cf/win32.m4 $(top_srcdir)/cf/with-all.m4 \
98	$(top_srcdir)/acinclude.m4 $(top_srcdir)/configure.ac
99am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
100	$(ACLOCAL_M4)
101mkinstalldirs = $(install_sh) -d
102CONFIG_HEADER = $(top_builddir)/include/config.h
103CONFIG_CLEAN_FILES =
104CONFIG_CLEAN_VPATH_FILES =
105am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
106am__vpath_adj = case $$p in \
107    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
108    *) f=$$p;; \
109  esac;
110am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
111am__install_max = 40
112am__nobase_strip_setup = \
113  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
114am__nobase_strip = \
115  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
116am__nobase_list = $(am__nobase_strip_setup); \
117  for p in $$list; do echo "$$p $$p"; done | \
118  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
119  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
120    if (++n[$$2] == $(am__install_max)) \
121      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
122    END { for (dir in files) print dir, files[dir] }'
123am__base_list = \
124  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
125  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
126am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(libexecdir)" \
127	"$(DESTDIR)$(sbindir)" "$(DESTDIR)$(man3dir)" \
128	"$(DESTDIR)$(man8dir)" "$(DESTDIR)$(kadm5includedir)" \
129	"$(DESTDIR)$(kadm5includedir)"
130LTLIBRARIES = $(lib_LTLIBRARIES) $(noinst_LTLIBRARIES)
131am__DEPENDENCIES_1 =
132libkadm5clnt_la_DEPENDENCIES = $(am__DEPENDENCIES_1) \
133	../krb5/libkrb5.la $(am__DEPENDENCIES_1)
134dist_libkadm5clnt_la_OBJECTS = ad.lo chpass_c.lo client_glue.lo \
135	common_glue.lo create_c.lo delete_c.lo destroy_c.lo flush_c.lo \
136	free.lo get_c.lo get_princs_c.lo init_c.lo marshall.lo \
137	modify_c.lo privs_c.lo randkey_c.lo rename_c.lo send_recv.lo
138nodist_libkadm5clnt_la_OBJECTS = kadm5_err.lo
139libkadm5clnt_la_OBJECTS = $(dist_libkadm5clnt_la_OBJECTS) \
140	$(nodist_libkadm5clnt_la_OBJECTS)
141libkadm5clnt_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
142	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
143	$(libkadm5clnt_la_LDFLAGS) $(LDFLAGS) -o $@
144dist_libkadm5srv_la_OBJECTS = acl.lo bump_pw_expire.lo chpass_s.lo \
145	common_glue.lo context_s.lo create_s.lo delete_s.lo \
146	destroy_s.lo ent_setup.lo error.lo flush_s.lo free.lo \
147	get_princs_s.lo get_s.lo init_s.lo keys.lo log.lo marshall.lo \
148	modify_s.lo password_quality.lo privs_s.lo randkey_s.lo \
149	rename_s.lo server_glue.lo set_keys.lo set_modifier.lo
150nodist_libkadm5srv_la_OBJECTS = kadm5_err.lo
151libkadm5srv_la_OBJECTS = $(dist_libkadm5srv_la_OBJECTS) \
152	$(nodist_libkadm5srv_la_OBJECTS)
153libkadm5srv_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
154	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
155	$(libkadm5srv_la_LDFLAGS) $(LDFLAGS) -o $@
156sample_passwd_check_la_LIBADD =
157am_sample_passwd_check_la_OBJECTS = sample_passwd_check.lo
158sample_passwd_check_la_OBJECTS = $(am_sample_passwd_check_la_OBJECTS)
159sample_passwd_check_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
160	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
161	$(sample_passwd_check_la_LDFLAGS) $(LDFLAGS) -o $@
162PROGRAMS = $(libexec_PROGRAMS) $(noinst_PROGRAMS) $(sbin_PROGRAMS)
163am_default_keys_OBJECTS = default_keys.$(OBJEXT)
164default_keys_OBJECTS = $(am_default_keys_OBJECTS)
165default_keys_LDADD = $(LDADD)
166default_keys_DEPENDENCIES = libkadm5srv.la \
167	$(top_builddir)/lib/hdb/libhdb.la \
168	$(top_builddir)/lib/krb5/libkrb5.la \
169	$(top_builddir)/lib/asn1/libasn1.la $(am__DEPENDENCIES_1) \
170	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
171	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
172dist_iprop_log_OBJECTS = iprop-log.$(OBJEXT)
173nodist_iprop_log_OBJECTS = iprop-commands.$(OBJEXT)
174iprop_log_OBJECTS = $(dist_iprop_log_OBJECTS) \
175	$(nodist_iprop_log_OBJECTS)
176iprop_log_DEPENDENCIES = libkadm5srv.la \
177	$(top_builddir)/lib/hdb/libhdb.la \
178	$(top_builddir)/lib/krb5/libkrb5.la \
179	$(top_builddir)/lib/asn1/libasn1.la $(am__DEPENDENCIES_1) \
180	$(top_builddir)/lib/sl/libsl.la $(am__DEPENDENCIES_1) \
181	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
182	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
183am_ipropd_master_OBJECTS = ipropd_master.$(OBJEXT) \
184	ipropd_common.$(OBJEXT)
185ipropd_master_OBJECTS = $(am_ipropd_master_OBJECTS)
186ipropd_master_LDADD = $(LDADD)
187ipropd_master_DEPENDENCIES = libkadm5srv.la \
188	$(top_builddir)/lib/hdb/libhdb.la \
189	$(top_builddir)/lib/krb5/libkrb5.la \
190	$(top_builddir)/lib/asn1/libasn1.la $(am__DEPENDENCIES_1) \
191	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
192	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
193am_ipropd_slave_OBJECTS = ipropd_slave.$(OBJEXT) \
194	ipropd_common.$(OBJEXT)
195ipropd_slave_OBJECTS = $(am_ipropd_slave_OBJECTS)
196ipropd_slave_LDADD = $(LDADD)
197ipropd_slave_DEPENDENCIES = libkadm5srv.la \
198	$(top_builddir)/lib/hdb/libhdb.la \
199	$(top_builddir)/lib/krb5/libkrb5.la \
200	$(top_builddir)/lib/asn1/libasn1.la $(am__DEPENDENCIES_1) \
201	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
202	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
203test_pw_quality_SOURCES = test_pw_quality.c
204test_pw_quality_OBJECTS = test_pw_quality.$(OBJEXT)
205test_pw_quality_LDADD = $(LDADD)
206test_pw_quality_DEPENDENCIES = libkadm5srv.la \
207	$(top_builddir)/lib/hdb/libhdb.la \
208	$(top_builddir)/lib/krb5/libkrb5.la \
209	$(top_builddir)/lib/asn1/libasn1.la $(am__DEPENDENCIES_1) \
210	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
211	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
212depcomp = $(SHELL) $(top_srcdir)/depcomp
213am__depfiles_maybe = depfiles
214am__mv = mv -f
215COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
216	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
217LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
218	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
219	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
220CCLD = $(CC)
221LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
222	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
223	$(LDFLAGS) -o $@
224SOURCES = $(dist_libkadm5clnt_la_SOURCES) \
225	$(nodist_libkadm5clnt_la_SOURCES) \
226	$(dist_libkadm5srv_la_SOURCES) \
227	$(nodist_libkadm5srv_la_SOURCES) \
228	$(sample_passwd_check_la_SOURCES) $(default_keys_SOURCES) \
229	$(dist_iprop_log_SOURCES) $(nodist_iprop_log_SOURCES) \
230	$(ipropd_master_SOURCES) $(ipropd_slave_SOURCES) \
231	test_pw_quality.c
232DIST_SOURCES = $(dist_libkadm5clnt_la_SOURCES) \
233	$(dist_libkadm5srv_la_SOURCES) \
234	$(sample_passwd_check_la_SOURCES) $(default_keys_SOURCES) \
235	$(dist_iprop_log_SOURCES) $(ipropd_master_SOURCES) \
236	$(ipropd_slave_SOURCES) test_pw_quality.c
237man3dir = $(mandir)/man3
238man8dir = $(mandir)/man8
239MANS = $(man_MANS)
240HEADERS = $(dist_kadm5include_HEADERS) $(nodist_kadm5include_HEADERS)
241ETAGS = etags
242CTAGS = ctags
243DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
244ACLOCAL = @ACLOCAL@
245AIX_EXTRA_KAFS = @AIX_EXTRA_KAFS@
246AMTAR = @AMTAR@
247AR = @AR@
248ASN1_COMPILE = @ASN1_COMPILE@
249ASN1_COMPILE_DEP = @ASN1_COMPILE_DEP@
250AUTOCONF = @AUTOCONF@
251AUTOHEADER = @AUTOHEADER@
252AUTOMAKE = @AUTOMAKE@
253AWK = @AWK@
254CANONICAL_HOST = @CANONICAL_HOST@
255CAPNG_CFLAGS = @CAPNG_CFLAGS@
256CAPNG_LIBS = @CAPNG_LIBS@
257CATMAN = @CATMAN@
258CATMANEXT = @CATMANEXT@
259CC = @CC@
260CCDEPMODE = @CCDEPMODE@
261CFLAGS = @CFLAGS@
262COMPILE_ET = @COMPILE_ET@
263CPP = @CPP@
264CPPFLAGS = @CPPFLAGS@
265CYGPATH_W = @CYGPATH_W@
266DBHEADER = @DBHEADER@
267DBLIB = @DBLIB@
268DEFS = @DEFS@
269DEPDIR = @DEPDIR@
270DIR_com_err = @DIR_com_err@
271DIR_hcrypto = @DIR_hcrypto@
272DIR_hdbdir = @DIR_hdbdir@
273DIR_roken = @DIR_roken@
274DLLTOOL = @DLLTOOL@
275DSYMUTIL = @DSYMUTIL@
276DUMPBIN = @DUMPBIN@
277ECHO_C = @ECHO_C@
278ECHO_N = @ECHO_N@
279ECHO_T = @ECHO_T@
280EGREP = @EGREP@
281EXEEXT = @EXEEXT@
282FGREP = @FGREP@
283GREP = @GREP@
284GROFF = @GROFF@
285INCLUDES_roken = @INCLUDES_roken@
286INCLUDE_hcrypto = @INCLUDE_hcrypto@
287INCLUDE_hesiod = @INCLUDE_hesiod@
288INCLUDE_krb4 = @INCLUDE_krb4@
289INCLUDE_libedit = @INCLUDE_libedit@
290INCLUDE_libintl = @INCLUDE_libintl@
291INCLUDE_openldap = @INCLUDE_openldap@
292INCLUDE_readline = @INCLUDE_readline@
293INCLUDE_sqlite3 = @INCLUDE_sqlite3@
294INSTALL = @INSTALL@
295INSTALL_DATA = @INSTALL_DATA@
296INSTALL_PROGRAM = @INSTALL_PROGRAM@
297INSTALL_SCRIPT = @INSTALL_SCRIPT@
298INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
299LD = @LD@
300LDFLAGS = @LDFLAGS@
301LDFLAGS_VERSION_SCRIPT = @LDFLAGS_VERSION_SCRIPT@
302LEX = @LEX@
303LEXLIB = @LEXLIB@
304LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
305LIBADD_roken = @LIBADD_roken@
306LIBOBJS = @LIBOBJS@
307LIBS = @LIBS@
308LIBTOOL = @LIBTOOL@
309LIB_AUTH_SUBDIRS = @LIB_AUTH_SUBDIRS@
310LIB_NDBM = @LIB_NDBM@
311LIB_XauFileName = @LIB_XauFileName@
312LIB_XauReadAuth = @LIB_XauReadAuth@
313LIB_XauWriteAuth = @LIB_XauWriteAuth@
314LIB_bswap16 = @LIB_bswap16@
315LIB_bswap32 = @LIB_bswap32@
316LIB_com_err = @LIB_com_err@
317LIB_com_err_a = @LIB_com_err_a@
318LIB_com_err_so = @LIB_com_err_so@
319LIB_crypt = @LIB_crypt@
320LIB_db_create = @LIB_db_create@
321LIB_dbm_firstkey = @LIB_dbm_firstkey@
322LIB_dbopen = @LIB_dbopen@
323LIB_dispatch_async_f = @LIB_dispatch_async_f@
324LIB_dlopen = @LIB_dlopen@
325LIB_dn_expand = @LIB_dn_expand@
326LIB_dns_search = @LIB_dns_search@
327LIB_door_create = @LIB_door_create@
328LIB_freeaddrinfo = @LIB_freeaddrinfo@
329LIB_gai_strerror = @LIB_gai_strerror@
330LIB_getaddrinfo = @LIB_getaddrinfo@
331LIB_gethostbyname = @LIB_gethostbyname@
332LIB_gethostbyname2 = @LIB_gethostbyname2@
333LIB_getnameinfo = @LIB_getnameinfo@
334LIB_getpwnam_r = @LIB_getpwnam_r@
335LIB_getsockopt = @LIB_getsockopt@
336LIB_hcrypto = @LIB_hcrypto@
337LIB_hcrypto_a = @LIB_hcrypto_a@
338LIB_hcrypto_appl = @LIB_hcrypto_appl@
339LIB_hcrypto_so = @LIB_hcrypto_so@
340LIB_hesiod = @LIB_hesiod@
341LIB_hstrerror = @LIB_hstrerror@
342LIB_kdb = @LIB_kdb@
343LIB_krb4 = @LIB_krb4@
344LIB_libedit = @LIB_libedit@
345LIB_libintl = @LIB_libintl@
346LIB_loadquery = @LIB_loadquery@
347LIB_logout = @LIB_logout@
348LIB_logwtmp = @LIB_logwtmp@
349LIB_openldap = @LIB_openldap@
350LIB_openpty = @LIB_openpty@
351LIB_otp = @LIB_otp@
352LIB_pidfile = @LIB_pidfile@
353LIB_readline = @LIB_readline@
354LIB_res_ndestroy = @LIB_res_ndestroy@
355LIB_res_nsearch = @LIB_res_nsearch@
356LIB_res_search = @LIB_res_search@
357LIB_roken = @LIB_roken@
358LIB_security = @LIB_security@
359LIB_setsockopt = @LIB_setsockopt@
360LIB_socket = @LIB_socket@
361LIB_sqlite3 = @LIB_sqlite3@
362LIB_syslog = @LIB_syslog@
363LIB_tgetent = @LIB_tgetent@
364LIPO = @LIPO@
365LN_S = @LN_S@
366LTLIBOBJS = @LTLIBOBJS@
367MAINT = @MAINT@
368MAKEINFO = @MAKEINFO@
369MANIFEST_TOOL = @MANIFEST_TOOL@
370MKDIR_P = @MKDIR_P@
371NM = @NM@
372NMEDIT = @NMEDIT@
373NO_AFS = @NO_AFS@
374NROFF = @NROFF@
375OBJDUMP = @OBJDUMP@
376OBJEXT = @OBJEXT@
377OTOOL = @OTOOL@
378OTOOL64 = @OTOOL64@
379PACKAGE = @PACKAGE@
380PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
381PACKAGE_NAME = @PACKAGE_NAME@
382PACKAGE_STRING = @PACKAGE_STRING@
383PACKAGE_TARNAME = @PACKAGE_TARNAME@
384PACKAGE_URL = @PACKAGE_URL@
385PACKAGE_VERSION = @PACKAGE_VERSION@
386PATH_SEPARATOR = @PATH_SEPARATOR@
387PKG_CONFIG = @PKG_CONFIG@
388PTHREAD_CFLAGS = @PTHREAD_CFLAGS@
389PTHREAD_LDADD = @PTHREAD_LDADD@
390PTHREAD_LIBADD = @PTHREAD_LIBADD@
391RANLIB = @RANLIB@
392SED = @SED@
393SET_MAKE = @SET_MAKE@
394SHELL = @SHELL@
395SLC = @SLC@
396SLC_DEP = @SLC_DEP@
397STRIP = @STRIP@
398VERSION = @VERSION@
399VERSIONING = @VERSIONING@
400WFLAGS = @WFLAGS@
401WFLAGS_NOIMPLICITINT = @WFLAGS_NOIMPLICITINT@
402WFLAGS_NOUNUSED = @WFLAGS_NOUNUSED@
403XMKMF = @XMKMF@
404X_CFLAGS = @X_CFLAGS@
405X_EXTRA_LIBS = @X_EXTRA_LIBS@
406X_LIBS = @X_LIBS@
407X_PRE_LIBS = @X_PRE_LIBS@
408YACC = @YACC@
409YFLAGS = @YFLAGS@
410abs_builddir = @abs_builddir@
411abs_srcdir = @abs_srcdir@
412abs_top_builddir = @abs_top_builddir@
413abs_top_srcdir = @abs_top_srcdir@
414ac_ct_AR = @ac_ct_AR@
415ac_ct_CC = @ac_ct_CC@
416ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
417am__include = @am__include@
418am__leading_dot = @am__leading_dot@
419am__quote = @am__quote@
420am__tar = @am__tar@
421am__untar = @am__untar@
422bindir = @bindir@
423build = @build@
424build_alias = @build_alias@
425build_cpu = @build_cpu@
426build_os = @build_os@
427build_vendor = @build_vendor@
428builddir = @builddir@
429datadir = @datadir@
430datarootdir = @datarootdir@
431docdir = @docdir@
432dpagaix_cflags = @dpagaix_cflags@
433dpagaix_ldadd = @dpagaix_ldadd@
434dpagaix_ldflags = @dpagaix_ldflags@
435dvidir = @dvidir@
436exec_prefix = @exec_prefix@
437host = @host@
438host_alias = @host_alias@
439host_cpu = @host_cpu@
440host_os = @host_os@
441host_vendor = @host_vendor@
442htmldir = @htmldir@
443includedir = @includedir@
444infodir = @infodir@
445install_sh = @install_sh@
446libdir = @libdir@
447libexecdir = @libexecdir@
448localedir = @localedir@
449localstatedir = @localstatedir@
450mandir = @mandir@
451mkdir_p = @mkdir_p@
452oldincludedir = @oldincludedir@
453pdfdir = @pdfdir@
454prefix = @prefix@
455program_transform_name = @program_transform_name@
456psdir = @psdir@
457sbindir = @sbindir@
458sharedstatedir = @sharedstatedir@
459srcdir = @srcdir@
460subdirs = @subdirs@
461sysconfdir = @sysconfdir@
462target_alias = @target_alias@
463top_build_prefix = @top_build_prefix@
464top_builddir = @top_builddir@
465top_srcdir = @top_srcdir@
466SUFFIXES = .et .h .x .z .hx .1 .3 .5 .8 .cat1 .cat3 .cat5 .cat8
467DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/include -I$(top_srcdir)/include
468AM_CPPFLAGS = $(INCLUDES_roken)
469@do_roken_rename_TRUE@ROKEN_RENAME = -DROKEN_RENAME
470AM_CFLAGS = $(WFLAGS)
471CP = cp
472buildinclude = $(top_builddir)/include
473LIB_el_init = @LIB_el_init@
474LIB_getattr = @LIB_getattr@
475LIB_getpwent_r = @LIB_getpwent_r@
476LIB_odm_initialize = @LIB_odm_initialize@
477LIB_setpcred = @LIB_setpcred@
478HESIODLIB = @HESIODLIB@
479HESIODINCLUDE = @HESIODINCLUDE@
480libexec_heimdaldir = $(libexecdir)/heimdal
481NROFF_MAN = groff -mandoc -Tascii
482LIB_kafs = $(top_builddir)/lib/kafs/libkafs.la $(AIX_EXTRA_KAFS)
483@KRB5_TRUE@LIB_krb5 = $(top_builddir)/lib/krb5/libkrb5.la \
484@KRB5_TRUE@	$(top_builddir)/lib/asn1/libasn1.la
485
486@KRB5_TRUE@LIB_gssapi = $(top_builddir)/lib/gssapi/libgssapi.la
487LIB_heimbase = $(top_builddir)/base/libheimbase.la
488@DCE_TRUE@LIB_kdfs = $(top_builddir)/lib/kdfs/libkdfs.la
489lib_LTLIBRARIES = libkadm5srv.la libkadm5clnt.la
490libkadm5srv_la_LDFLAGS = -version-info 8:1:0 $(am__append_1)
491libkadm5clnt_la_LDFLAGS = -version-info 7:1:0
492noinst_LTLIBRARIES = sample_passwd_check.la
493sample_passwd_check_la_SOURCES = sample_passwd_check.c
494sample_passwd_check_la_LDFLAGS = -module
495libkadm5srv_la_LIBADD = \
496	$(LIB_com_err) ../krb5/libkrb5.la \
497	../hdb/libhdb.la $(LIBADD_roken)
498
499libkadm5clnt_la_LIBADD = \
500	$(LIB_com_err) ../krb5/libkrb5.la $(LIBADD_roken)
501
502default_keys_SOURCES = default_keys.c
503kadm5includedir = $(includedir)/kadm5
504buildkadm5include = $(buildinclude)/kadm5
505dist_kadm5include_HEADERS = admin.h private.h kadm5-pwcheck.h \
506	kadm5-protos.h kadm5-private.h
507nodist_kadm5include_HEADERS = kadm5_err.h
508dist_libkadm5clnt_la_SOURCES = \
509	ad.c					\
510	chpass_c.c				\
511	client_glue.c				\
512	common_glue.c				\
513	create_c.c				\
514	delete_c.c				\
515	destroy_c.c				\
516	flush_c.c				\
517	free.c					\
518	get_c.c					\
519	get_princs_c.c				\
520	init_c.c				\
521	kadm5_locl.h				\
522	marshall.c				\
523	modify_c.c				\
524	private.h				\
525	privs_c.c				\
526	randkey_c.c				\
527	rename_c.c				\
528	send_recv.c				\
529	admin.h
530
531nodist_libkadm5clnt_la_SOURCES = \
532	kadm5_err.c				\
533	kadm5_err.h
534
535dist_libkadm5srv_la_SOURCES = \
536	acl.c					\
537	admin.h					\
538	bump_pw_expire.c			\
539	chpass_s.c				\
540	common_glue.c				\
541	context_s.c				\
542	create_s.c				\
543	delete_s.c				\
544	destroy_s.c				\
545	ent_setup.c				\
546	error.c					\
547	flush_s.c				\
548	free.c					\
549	get_princs_s.c				\
550	get_s.c					\
551	init_s.c				\
552	kadm5_locl.h				\
553	keys.c					\
554	log.c					\
555	marshall.c				\
556	modify_s.c				\
557	password_quality.c			\
558	private.h				\
559	privs_s.c				\
560	randkey_s.c				\
561	rename_s.c				\
562	server_glue.c				\
563	set_keys.c				\
564	set_modifier.c				\
565	admin.h
566
567nodist_libkadm5srv_la_SOURCES = \
568	kadm5_err.c				\
569	kadm5_err.h
570
571libkadm5srv_la_DEPENDENCIES = \
572	version-script.map
573
574dist_iprop_log_SOURCES = iprop-log.c
575nodist_iprop_log_SOURCES = iprop-commands.c
576ipropd_master_SOURCES = ipropd_master.c ipropd_common.c iprop.h kadm5_locl.h
577ipropd_slave_SOURCES = ipropd_slave.c ipropd_common.c iprop.h kadm5_locl.h
578man_MANS = kadm5_pwcheck.3 iprop.8 iprop-log.8
579LDADD = \
580	libkadm5srv.la \
581	$(top_builddir)/lib/hdb/libhdb.la \
582	$(top_builddir)/lib/krb5/libkrb5.la \
583	$(top_builddir)/lib/asn1/libasn1.la \
584	$(LIB_hcrypto) \
585	$(LIB_roken) \
586	$(DBLIB) \
587	$(LIB_dlopen) \
588	$(LIB_pidfile)
589
590iprop_log_LDADD = \
591	libkadm5srv.la \
592	$(top_builddir)/lib/hdb/libhdb.la \
593	$(top_builddir)/lib/krb5/libkrb5.la \
594	$(top_builddir)/lib/asn1/libasn1.la \
595	$(LIB_hcrypto) \
596	$(top_builddir)/lib/sl/libsl.la \
597	$(LIB_readline) \
598	$(LIB_roken) \
599	$(DBLIB) \
600	$(LIB_dlopen) \
601	$(LIB_pidfile)
602
603CLEANFILES = kadm5_err.c kadm5_err.h iprop-commands.h iprop-commands.c
604proto_opts = -q -R '^(_|kadm5_c_|kadm5_s_|kadm5_log)' -P comment
605EXTRA_DIST = \
606	NTMakefile \
607	iprop-log-version.rc \
608	ipropd-master-version.rc \
609	ipropd-slave-version.rc \
610	libkadm5srv-version.rc \
611	libkadm5srv-exports.def \
612	kadm5_err.et \
613	iprop-commands.in \
614	$(man_MANS) \
615	check-cracklib.pl \
616	flush.c \
617	sample_passwd_check.c \
618	version-script.map
619
620all: all-am
621
622.SUFFIXES:
623.SUFFIXES: .et .h .x .z .hx .1 .3 .5 .8 .cat1 .cat3 .cat5 .cat8 .c .lo .o .obj
624$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.am.common $(top_srcdir)/cf/Makefile.am.common $(am__configure_deps)
625	@for dep in $?; do \
626	  case '$(am__configure_deps)' in \
627	    *$$dep*) \
628	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
629	        && { if test -f $@; then exit 0; else break; fi; }; \
630	      exit 1;; \
631	  esac; \
632	done; \
633	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign lib/kadm5/Makefile'; \
634	$(am__cd) $(top_srcdir) && \
635	  $(AUTOMAKE) --foreign lib/kadm5/Makefile
636.PRECIOUS: Makefile
637Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
638	@case '$?' in \
639	  *config.status*) \
640	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
641	  *) \
642	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
643	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
644	esac;
645
646$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
647	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
648
649$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
650	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
651$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
652	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
653$(am__aclocal_m4_deps):
654install-libLTLIBRARIES: $(lib_LTLIBRARIES)
655	@$(NORMAL_INSTALL)
656	test -z "$(libdir)" || $(MKDIR_P) "$(DESTDIR)$(libdir)"
657	@list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
658	list2=; for p in $$list; do \
659	  if test -f $$p; then \
660	    list2="$$list2 $$p"; \
661	  else :; fi; \
662	done; \
663	test -z "$$list2" || { \
664	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(libdir)'"; \
665	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(libdir)"; \
666	}
667
668uninstall-libLTLIBRARIES:
669	@$(NORMAL_UNINSTALL)
670	@list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
671	for p in $$list; do \
672	  $(am__strip_dir) \
673	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(libdir)/$$f'"; \
674	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(libdir)/$$f"; \
675	done
676
677clean-libLTLIBRARIES:
678	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
679	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
680	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
681	  test "$$dir" != "$$p" || dir=.; \
682	  echo "rm -f \"$${dir}/so_locations\""; \
683	  rm -f "$${dir}/so_locations"; \
684	done
685
686clean-noinstLTLIBRARIES:
687	-test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
688	@list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
689	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
690	  test "$$dir" != "$$p" || dir=.; \
691	  echo "rm -f \"$${dir}/so_locations\""; \
692	  rm -f "$${dir}/so_locations"; \
693	done
694libkadm5clnt.la: $(libkadm5clnt_la_OBJECTS) $(libkadm5clnt_la_DEPENDENCIES) 
695	$(libkadm5clnt_la_LINK) -rpath $(libdir) $(libkadm5clnt_la_OBJECTS) $(libkadm5clnt_la_LIBADD) $(LIBS)
696libkadm5srv.la: $(libkadm5srv_la_OBJECTS) $(libkadm5srv_la_DEPENDENCIES) 
697	$(libkadm5srv_la_LINK) -rpath $(libdir) $(libkadm5srv_la_OBJECTS) $(libkadm5srv_la_LIBADD) $(LIBS)
698sample_passwd_check.la: $(sample_passwd_check_la_OBJECTS) $(sample_passwd_check_la_DEPENDENCIES) 
699	$(sample_passwd_check_la_LINK)  $(sample_passwd_check_la_OBJECTS) $(sample_passwd_check_la_LIBADD) $(LIBS)
700
701clean-checkPROGRAMS:
702	@list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
703	echo " rm -f" $$list; \
704	rm -f $$list || exit $$?; \
705	test -n "$(EXEEXT)" || exit 0; \
706	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
707	echo " rm -f" $$list; \
708	rm -f $$list
709install-libexecPROGRAMS: $(libexec_PROGRAMS)
710	@$(NORMAL_INSTALL)
711	test -z "$(libexecdir)" || $(MKDIR_P) "$(DESTDIR)$(libexecdir)"
712	@list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
713	for p in $$list; do echo "$$p $$p"; done | \
714	sed 's/$(EXEEXT)$$//' | \
715	while read p p1; do if test -f $$p || test -f $$p1; \
716	  then echo "$$p"; echo "$$p"; else :; fi; \
717	done | \
718	sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
719	    -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
720	sed 'N;N;N;s,\n, ,g' | \
721	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
722	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
723	    if ($$2 == $$4) files[d] = files[d] " " $$1; \
724	    else { print "f", $$3 "/" $$4, $$1; } } \
725	  END { for (d in files) print "f", d, files[d] }' | \
726	while read type dir files; do \
727	    if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
728	    test -z "$$files" || { \
729	    echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(libexecdir)$$dir'"; \
730	    $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(libexecdir)$$dir" || exit $$?; \
731	    } \
732	; done
733
734uninstall-libexecPROGRAMS:
735	@$(NORMAL_UNINSTALL)
736	@list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
737	files=`for p in $$list; do echo "$$p"; done | \
738	  sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
739	      -e 's/$$/$(EXEEXT)/' `; \
740	test -n "$$list" || exit 0; \
741	echo " ( cd '$(DESTDIR)$(libexecdir)' && rm -f" $$files ")"; \
742	cd "$(DESTDIR)$(libexecdir)" && rm -f $$files
743
744clean-libexecPROGRAMS:
745	@list='$(libexec_PROGRAMS)'; test -n "$$list" || exit 0; \
746	echo " rm -f" $$list; \
747	rm -f $$list || exit $$?; \
748	test -n "$(EXEEXT)" || exit 0; \
749	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
750	echo " rm -f" $$list; \
751	rm -f $$list
752
753clean-noinstPROGRAMS:
754	@list='$(noinst_PROGRAMS)'; test -n "$$list" || exit 0; \
755	echo " rm -f" $$list; \
756	rm -f $$list || exit $$?; \
757	test -n "$(EXEEXT)" || exit 0; \
758	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
759	echo " rm -f" $$list; \
760	rm -f $$list
761install-sbinPROGRAMS: $(sbin_PROGRAMS)
762	@$(NORMAL_INSTALL)
763	test -z "$(sbindir)" || $(MKDIR_P) "$(DESTDIR)$(sbindir)"
764	@list='$(sbin_PROGRAMS)'; test -n "$(sbindir)" || list=; \
765	for p in $$list; do echo "$$p $$p"; done | \
766	sed 's/$(EXEEXT)$$//' | \
767	while read p p1; do if test -f $$p || test -f $$p1; \
768	  then echo "$$p"; echo "$$p"; else :; fi; \
769	done | \
770	sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
771	    -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
772	sed 'N;N;N;s,\n, ,g' | \
773	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
774	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
775	    if ($$2 == $$4) files[d] = files[d] " " $$1; \
776	    else { print "f", $$3 "/" $$4, $$1; } } \
777	  END { for (d in files) print "f", d, files[d] }' | \
778	while read type dir files; do \
779	    if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
780	    test -z "$$files" || { \
781	    echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(sbindir)$$dir'"; \
782	    $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(sbindir)$$dir" || exit $$?; \
783	    } \
784	; done
785
786uninstall-sbinPROGRAMS:
787	@$(NORMAL_UNINSTALL)
788	@list='$(sbin_PROGRAMS)'; test -n "$(sbindir)" || list=; \
789	files=`for p in $$list; do echo "$$p"; done | \
790	  sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
791	      -e 's/$$/$(EXEEXT)/' `; \
792	test -n "$$list" || exit 0; \
793	echo " ( cd '$(DESTDIR)$(sbindir)' && rm -f" $$files ")"; \
794	cd "$(DESTDIR)$(sbindir)" && rm -f $$files
795
796clean-sbinPROGRAMS:
797	@list='$(sbin_PROGRAMS)'; test -n "$$list" || exit 0; \
798	echo " rm -f" $$list; \
799	rm -f $$list || exit $$?; \
800	test -n "$(EXEEXT)" || exit 0; \
801	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
802	echo " rm -f" $$list; \
803	rm -f $$list
804default_keys$(EXEEXT): $(default_keys_OBJECTS) $(default_keys_DEPENDENCIES) 
805	@rm -f default_keys$(EXEEXT)
806	$(LINK) $(default_keys_OBJECTS) $(default_keys_LDADD) $(LIBS)
807iprop-log$(EXEEXT): $(iprop_log_OBJECTS) $(iprop_log_DEPENDENCIES) 
808	@rm -f iprop-log$(EXEEXT)
809	$(LINK) $(iprop_log_OBJECTS) $(iprop_log_LDADD) $(LIBS)
810ipropd-master$(EXEEXT): $(ipropd_master_OBJECTS) $(ipropd_master_DEPENDENCIES) 
811	@rm -f ipropd-master$(EXEEXT)
812	$(LINK) $(ipropd_master_OBJECTS) $(ipropd_master_LDADD) $(LIBS)
813ipropd-slave$(EXEEXT): $(ipropd_slave_OBJECTS) $(ipropd_slave_DEPENDENCIES) 
814	@rm -f ipropd-slave$(EXEEXT)
815	$(LINK) $(ipropd_slave_OBJECTS) $(ipropd_slave_LDADD) $(LIBS)
816test_pw_quality$(EXEEXT): $(test_pw_quality_OBJECTS) $(test_pw_quality_DEPENDENCIES) 
817	@rm -f test_pw_quality$(EXEEXT)
818	$(LINK) $(test_pw_quality_OBJECTS) $(test_pw_quality_LDADD) $(LIBS)
819
820mostlyclean-compile:
821	-rm -f *.$(OBJEXT)
822
823distclean-compile:
824	-rm -f *.tab.c
825
826@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/acl.Plo@am__quote@
827@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ad.Plo@am__quote@
828@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/bump_pw_expire.Plo@am__quote@
829@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/chpass_c.Plo@am__quote@
830@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/chpass_s.Plo@am__quote@
831@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/client_glue.Plo@am__quote@
832@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/common_glue.Plo@am__quote@
833@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/context_s.Plo@am__quote@
834@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/create_c.Plo@am__quote@
835@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/create_s.Plo@am__quote@
836@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/default_keys.Po@am__quote@
837@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/delete_c.Plo@am__quote@
838@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/delete_s.Plo@am__quote@
839@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/destroy_c.Plo@am__quote@
840@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/destroy_s.Plo@am__quote@
841@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ent_setup.Plo@am__quote@
842@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/error.Plo@am__quote@
843@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/flush_c.Plo@am__quote@
844@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/flush_s.Plo@am__quote@
845@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/free.Plo@am__quote@
846@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/get_c.Plo@am__quote@
847@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/get_princs_c.Plo@am__quote@
848@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/get_princs_s.Plo@am__quote@
849@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/get_s.Plo@am__quote@
850@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/init_c.Plo@am__quote@
851@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/init_s.Plo@am__quote@
852@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/iprop-commands.Po@am__quote@
853@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/iprop-log.Po@am__quote@
854@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ipropd_common.Po@am__quote@
855@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ipropd_master.Po@am__quote@
856@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ipropd_slave.Po@am__quote@
857@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kadm5_err.Plo@am__quote@
858@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/keys.Plo@am__quote@
859@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/log.Plo@am__quote@
860@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/marshall.Plo@am__quote@
861@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/modify_c.Plo@am__quote@
862@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/modify_s.Plo@am__quote@
863@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/password_quality.Plo@am__quote@
864@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/privs_c.Plo@am__quote@
865@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/privs_s.Plo@am__quote@
866@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/randkey_c.Plo@am__quote@
867@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/randkey_s.Plo@am__quote@
868@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/rename_c.Plo@am__quote@
869@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/rename_s.Plo@am__quote@
870@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sample_passwd_check.Plo@am__quote@
871@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/send_recv.Plo@am__quote@
872@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/server_glue.Plo@am__quote@
873@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/set_keys.Plo@am__quote@
874@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/set_modifier.Plo@am__quote@
875@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_pw_quality.Po@am__quote@
876
877.c.o:
878@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
879@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
880@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
881@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
882@am__fastdepCC_FALSE@	$(COMPILE) -c $<
883
884.c.obj:
885@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
886@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
887@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
888@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
889@am__fastdepCC_FALSE@	$(COMPILE) -c `$(CYGPATH_W) '$<'`
890
891.c.lo:
892@am__fastdepCC_TRUE@	$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
893@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
894@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
895@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
896@am__fastdepCC_FALSE@	$(LTCOMPILE) -c -o $@ $<
897
898mostlyclean-libtool:
899	-rm -f *.lo
900
901clean-libtool:
902	-rm -rf .libs _libs
903install-man3: $(man_MANS)
904	@$(NORMAL_INSTALL)
905	test -z "$(man3dir)" || $(MKDIR_P) "$(DESTDIR)$(man3dir)"
906	@list=''; test -n "$(man3dir)" || exit 0; \
907	{ for i in $$list; do echo "$$i"; done; \
908	l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
909	  sed -n '/\.3[a-z]*$$/p'; \
910	} | while read p; do \
911	  if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
912	  echo "$$d$$p"; echo "$$p"; \
913	done | \
914	sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^3][0-9a-z]*$$,3,;x' \
915	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
916	sed 'N;N;s,\n, ,g' | { \
917	list=; while read file base inst; do \
918	  if test "$$base" = "$$inst"; then list="$$list $$file"; else \
919	    echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man3dir)/$$inst'"; \
920	    $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man3dir)/$$inst" || exit $$?; \
921	  fi; \
922	done; \
923	for i in $$list; do echo "$$i"; done | $(am__base_list) | \
924	while read files; do \
925	  test -z "$$files" || { \
926	    echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man3dir)'"; \
927	    $(INSTALL_DATA) $$files "$(DESTDIR)$(man3dir)" || exit $$?; }; \
928	done; }
929
930uninstall-man3:
931	@$(NORMAL_UNINSTALL)
932	@list=''; test -n "$(man3dir)" || exit 0; \
933	files=`{ for i in $$list; do echo "$$i"; done; \
934	l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
935	  sed -n '/\.3[a-z]*$$/p'; \
936	} | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^3][0-9a-z]*$$,3,;x' \
937	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
938	test -z "$$files" || { \
939	  echo " ( cd '$(DESTDIR)$(man3dir)' && rm -f" $$files ")"; \
940	  cd "$(DESTDIR)$(man3dir)" && rm -f $$files; }
941install-man8: $(man_MANS)
942	@$(NORMAL_INSTALL)
943	test -z "$(man8dir)" || $(MKDIR_P) "$(DESTDIR)$(man8dir)"
944	@list=''; test -n "$(man8dir)" || exit 0; \
945	{ for i in $$list; do echo "$$i"; done; \
946	l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
947	  sed -n '/\.8[a-z]*$$/p'; \
948	} | while read p; do \
949	  if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
950	  echo "$$d$$p"; echo "$$p"; \
951	done | \
952	sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
953	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
954	sed 'N;N;s,\n, ,g' | { \
955	list=; while read file base inst; do \
956	  if test "$$base" = "$$inst"; then list="$$list $$file"; else \
957	    echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \
958	    $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst" || exit $$?; \
959	  fi; \
960	done; \
961	for i in $$list; do echo "$$i"; done | $(am__base_list) | \
962	while read files; do \
963	  test -z "$$files" || { \
964	    echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man8dir)'"; \
965	    $(INSTALL_DATA) $$files "$(DESTDIR)$(man8dir)" || exit $$?; }; \
966	done; }
967
968uninstall-man8:
969	@$(NORMAL_UNINSTALL)
970	@list=''; test -n "$(man8dir)" || exit 0; \
971	files=`{ for i in $$list; do echo "$$i"; done; \
972	l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
973	  sed -n '/\.8[a-z]*$$/p'; \
974	} | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
975	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
976	test -z "$$files" || { \
977	  echo " ( cd '$(DESTDIR)$(man8dir)' && rm -f" $$files ")"; \
978	  cd "$(DESTDIR)$(man8dir)" && rm -f $$files; }
979install-dist_kadm5includeHEADERS: $(dist_kadm5include_HEADERS)
980	@$(NORMAL_INSTALL)
981	test -z "$(kadm5includedir)" || $(MKDIR_P) "$(DESTDIR)$(kadm5includedir)"
982	@list='$(dist_kadm5include_HEADERS)'; test -n "$(kadm5includedir)" || list=; \
983	for p in $$list; do \
984	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
985	  echo "$$d$$p"; \
986	done | $(am__base_list) | \
987	while read files; do \
988	  echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(kadm5includedir)'"; \
989	  $(INSTALL_HEADER) $$files "$(DESTDIR)$(kadm5includedir)" || exit $$?; \
990	done
991
992uninstall-dist_kadm5includeHEADERS:
993	@$(NORMAL_UNINSTALL)
994	@list='$(dist_kadm5include_HEADERS)'; test -n "$(kadm5includedir)" || list=; \
995	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
996	test -n "$$files" || exit 0; \
997	echo " ( cd '$(DESTDIR)$(kadm5includedir)' && rm -f" $$files ")"; \
998	cd "$(DESTDIR)$(kadm5includedir)" && rm -f $$files
999install-nodist_kadm5includeHEADERS: $(nodist_kadm5include_HEADERS)
1000	@$(NORMAL_INSTALL)
1001	test -z "$(kadm5includedir)" || $(MKDIR_P) "$(DESTDIR)$(kadm5includedir)"
1002	@list='$(nodist_kadm5include_HEADERS)'; test -n "$(kadm5includedir)" || list=; \
1003	for p in $$list; do \
1004	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1005	  echo "$$d$$p"; \
1006	done | $(am__base_list) | \
1007	while read files; do \
1008	  echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(kadm5includedir)'"; \
1009	  $(INSTALL_HEADER) $$files "$(DESTDIR)$(kadm5includedir)" || exit $$?; \
1010	done
1011
1012uninstall-nodist_kadm5includeHEADERS:
1013	@$(NORMAL_UNINSTALL)
1014	@list='$(nodist_kadm5include_HEADERS)'; test -n "$(kadm5includedir)" || list=; \
1015	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1016	test -n "$$files" || exit 0; \
1017	echo " ( cd '$(DESTDIR)$(kadm5includedir)' && rm -f" $$files ")"; \
1018	cd "$(DESTDIR)$(kadm5includedir)" && rm -f $$files
1019
1020ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
1021	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
1022	unique=`for i in $$list; do \
1023	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1024	  done | \
1025	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
1026	      END { if (nonempty) { for (i in files) print i; }; }'`; \
1027	mkid -fID $$unique
1028tags: TAGS
1029
1030TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
1031		$(TAGS_FILES) $(LISP)
1032	set x; \
1033	here=`pwd`; \
1034	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
1035	unique=`for i in $$list; do \
1036	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1037	  done | \
1038	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
1039	      END { if (nonempty) { for (i in files) print i; }; }'`; \
1040	shift; \
1041	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1042	  test -n "$$unique" || unique=$$empty_fix; \
1043	  if test $$# -gt 0; then \
1044	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1045	      "$$@" $$unique; \
1046	  else \
1047	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1048	      $$unique; \
1049	  fi; \
1050	fi
1051ctags: CTAGS
1052CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
1053		$(TAGS_FILES) $(LISP)
1054	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
1055	unique=`for i in $$list; do \
1056	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1057	  done | \
1058	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
1059	      END { if (nonempty) { for (i in files) print i; }; }'`; \
1060	test -z "$(CTAGS_ARGS)$$unique" \
1061	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1062	     $$unique
1063
1064GTAGS:
1065	here=`$(am__cd) $(top_builddir) && pwd` \
1066	  && $(am__cd) $(top_srcdir) \
1067	  && gtags -i $(GTAGS_ARGS) "$$here"
1068
1069distclean-tags:
1070	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1071
1072distdir: $(DISTFILES)
1073	@list='$(MANS)'; if test -n "$$list"; then \
1074	  list=`for p in $$list; do \
1075	    if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
1076	    if test -f "$$d$$p"; then echo "$$d$$p"; else :; fi; done`; \
1077	  if test -n "$$list" && \
1078	    grep 'ab help2man is required to generate this page' $$list >/dev/null; then \
1079	    echo "error: found man pages containing the \`missing help2man' replacement text:" >&2; \
1080	    grep -l 'ab help2man is required to generate this page' $$list | sed 's/^/         /' >&2; \
1081	    echo "       to fix them, install help2man, remove and regenerate the man pages;" >&2; \
1082	    echo "       typically \`make maintainer-clean' will remove them" >&2; \
1083	    exit 1; \
1084	  else :; fi; \
1085	else :; fi
1086	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1087	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1088	list='$(DISTFILES)'; \
1089	  dist_files=`for file in $$list; do echo $$file; done | \
1090	  sed -e "s|^$$srcdirstrip/||;t" \
1091	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1092	case $$dist_files in \
1093	  */*) $(MKDIR_P) `echo "$$dist_files" | \
1094			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1095			   sort -u` ;; \
1096	esac; \
1097	for file in $$dist_files; do \
1098	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1099	  if test -d $$d/$$file; then \
1100	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1101	    if test -d "$(distdir)/$$file"; then \
1102	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1103	    fi; \
1104	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1105	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1106	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1107	    fi; \
1108	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1109	  else \
1110	    test -f "$(distdir)/$$file" \
1111	    || cp -p $$d/$$file "$(distdir)/$$file" \
1112	    || exit 1; \
1113	  fi; \
1114	done
1115	$(MAKE) $(AM_MAKEFLAGS) \
1116	  top_distdir="$(top_distdir)" distdir="$(distdir)" \
1117	  dist-hook
1118check-am: all-am
1119	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1120	$(MAKE) $(AM_MAKEFLAGS) check-local
1121check: check-am
1122all-am: Makefile $(LTLIBRARIES) $(PROGRAMS) $(MANS) $(HEADERS) \
1123		all-local
1124installdirs:
1125	for dir in "$(DESTDIR)$(libdir)" "$(DESTDIR)$(libexecdir)" "$(DESTDIR)$(sbindir)" "$(DESTDIR)$(man3dir)" "$(DESTDIR)$(man8dir)" "$(DESTDIR)$(kadm5includedir)" "$(DESTDIR)$(kadm5includedir)"; do \
1126	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1127	done
1128install: install-am
1129install-exec: install-exec-am
1130install-data: install-data-am
1131uninstall: uninstall-am
1132
1133install-am: all-am
1134	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1135
1136installcheck: installcheck-am
1137install-strip:
1138	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1139	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1140	  `test -z '$(STRIP)' || \
1141	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
1142mostlyclean-generic:
1143
1144clean-generic:
1145	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1146
1147distclean-generic:
1148	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1149	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1150
1151maintainer-clean-generic:
1152	@echo "This command is intended for maintainers to use"
1153	@echo "it deletes files that may require special tools to rebuild."
1154clean: clean-am
1155
1156clean-am: clean-checkPROGRAMS clean-generic clean-libLTLIBRARIES \
1157	clean-libexecPROGRAMS clean-libtool clean-noinstLTLIBRARIES \
1158	clean-noinstPROGRAMS clean-sbinPROGRAMS mostlyclean-am
1159
1160distclean: distclean-am
1161	-rm -rf ./$(DEPDIR)
1162	-rm -f Makefile
1163distclean-am: clean-am distclean-compile distclean-generic \
1164	distclean-tags
1165
1166dvi: dvi-am
1167
1168dvi-am:
1169
1170html: html-am
1171
1172html-am:
1173
1174info: info-am
1175
1176info-am:
1177
1178install-data-am: install-dist_kadm5includeHEADERS install-man \
1179	install-nodist_kadm5includeHEADERS
1180	@$(NORMAL_INSTALL)
1181	$(MAKE) $(AM_MAKEFLAGS) install-data-hook
1182install-dvi: install-dvi-am
1183
1184install-dvi-am:
1185
1186install-exec-am: install-libLTLIBRARIES install-libexecPROGRAMS \
1187	install-sbinPROGRAMS
1188	@$(NORMAL_INSTALL)
1189	$(MAKE) $(AM_MAKEFLAGS) install-exec-hook
1190install-html: install-html-am
1191
1192install-html-am:
1193
1194install-info: install-info-am
1195
1196install-info-am:
1197
1198install-man: install-man3 install-man8
1199
1200install-pdf: install-pdf-am
1201
1202install-pdf-am:
1203
1204install-ps: install-ps-am
1205
1206install-ps-am:
1207
1208installcheck-am:
1209
1210maintainer-clean: maintainer-clean-am
1211	-rm -rf ./$(DEPDIR)
1212	-rm -f Makefile
1213maintainer-clean-am: distclean-am maintainer-clean-generic
1214
1215mostlyclean: mostlyclean-am
1216
1217mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1218	mostlyclean-libtool
1219
1220pdf: pdf-am
1221
1222pdf-am:
1223
1224ps: ps-am
1225
1226ps-am:
1227
1228uninstall-am: uninstall-dist_kadm5includeHEADERS \
1229	uninstall-libLTLIBRARIES uninstall-libexecPROGRAMS \
1230	uninstall-man uninstall-nodist_kadm5includeHEADERS \
1231	uninstall-sbinPROGRAMS
1232	@$(NORMAL_INSTALL)
1233	$(MAKE) $(AM_MAKEFLAGS) uninstall-hook
1234uninstall-man: uninstall-man3 uninstall-man8
1235
1236.MAKE: check-am install-am install-data-am install-exec-am \
1237	install-strip uninstall-am
1238
1239.PHONY: CTAGS GTAGS all all-am all-local check check-am check-local \
1240	clean clean-checkPROGRAMS clean-generic clean-libLTLIBRARIES \
1241	clean-libexecPROGRAMS clean-libtool clean-noinstLTLIBRARIES \
1242	clean-noinstPROGRAMS clean-sbinPROGRAMS ctags dist-hook \
1243	distclean distclean-compile distclean-generic \
1244	distclean-libtool distclean-tags distdir dvi dvi-am html \
1245	html-am info info-am install install-am install-data \
1246	install-data-am install-data-hook \
1247	install-dist_kadm5includeHEADERS install-dvi install-dvi-am \
1248	install-exec install-exec-am install-exec-hook install-html \
1249	install-html-am install-info install-info-am \
1250	install-libLTLIBRARIES install-libexecPROGRAMS install-man \
1251	install-man3 install-man8 install-nodist_kadm5includeHEADERS \
1252	install-pdf install-pdf-am install-ps install-ps-am \
1253	install-sbinPROGRAMS install-strip installcheck \
1254	installcheck-am installdirs maintainer-clean \
1255	maintainer-clean-generic mostlyclean mostlyclean-compile \
1256	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1257	tags uninstall uninstall-am uninstall-dist_kadm5includeHEADERS \
1258	uninstall-hook uninstall-libLTLIBRARIES \
1259	uninstall-libexecPROGRAMS uninstall-man uninstall-man3 \
1260	uninstall-man8 uninstall-nodist_kadm5includeHEADERS \
1261	uninstall-sbinPROGRAMS
1262
1263
1264install-suid-programs:
1265	@foo='$(bin_SUIDS)'; \
1266	for file in $$foo; do \
1267	x=$(DESTDIR)$(bindir)/$$file; \
1268	if chown 0:0 $$x && chmod u+s $$x; then :; else \
1269	echo "*"; \
1270	echo "* Failed to install $$x setuid root"; \
1271	echo "*"; \
1272	fi; done
1273
1274install-exec-hook: install-suid-programs
1275
1276install-build-headers:: $(include_HEADERS) $(dist_include_HEADERS) $(nodist_include_HEADERS) $(build_HEADERZ) $(nobase_include_HEADERS)
1277	@foo='$(include_HEADERS) $(dist_include_HEADERS) $(nodist_include_HEADERS) $(build_HEADERZ)'; \
1278	for f in $$foo; do \
1279		f=`basename $$f`; \
1280		if test -f "$(srcdir)/$$f"; then file="$(srcdir)/$$f"; \
1281		else file="$$f"; fi; \
1282		if cmp -s  $$file $(buildinclude)/$$f 2> /dev/null ; then \
1283		: ; else \
1284			echo " $(CP) $$file $(buildinclude)/$$f"; \
1285			$(CP) $$file $(buildinclude)/$$f; \
1286		fi ; \
1287	done ; \
1288	foo='$(nobase_include_HEADERS)'; \
1289	for f in $$foo; do \
1290		if test -f "$(srcdir)/$$f"; then file="$(srcdir)/$$f"; \
1291		else file="$$f"; fi; \
1292		$(mkdir_p) $(buildinclude)/`dirname $$f` ; \
1293		if cmp -s  $$file $(buildinclude)/$$f 2> /dev/null ; then \
1294		: ; else \
1295			echo " $(CP) $$file $(buildinclude)/$$f"; \
1296			$(CP) $$file $(buildinclude)/$$f; \
1297		fi ; \
1298	done
1299
1300all-local: install-build-headers
1301
1302check-local::
1303	@if test '$(CHECK_LOCAL)' = "no-check-local"; then \
1304	  foo=''; elif test '$(CHECK_LOCAL)'; then \
1305	  foo='$(CHECK_LOCAL)'; else \
1306	  foo='$(PROGRAMS)'; fi; \
1307	  if test "$$foo"; then \
1308	  failed=0; all=0; \
1309	  for i in $$foo; do \
1310	    all=`expr $$all + 1`; \
1311	    if (./$$i --version && ./$$i --help) > /dev/null 2>&1; then \
1312	      echo "PASS: $$i"; \
1313	    else \
1314	      echo "FAIL: $$i"; \
1315	      failed=`expr $$failed + 1`; \
1316	    fi; \
1317	  done; \
1318	  if test "$$failed" -eq 0; then \
1319	    banner="All $$all tests passed"; \
1320	  else \
1321	    banner="$$failed of $$all tests failed"; \
1322	  fi; \
1323	  dashes=`echo "$$banner" | sed s/./=/g`; \
1324	  echo "$$dashes"; \
1325	  echo "$$banner"; \
1326	  echo "$$dashes"; \
1327	  test "$$failed" -eq 0 || exit 1; \
1328	fi
1329
1330.x.c:
1331	@cmp -s $< $@ 2> /dev/null || cp $< $@
1332
1333.hx.h:
1334	@cmp -s $< $@ 2> /dev/null || cp $< $@
1335#NROFF_MAN = nroff -man
1336.1.cat1:
1337	$(NROFF_MAN) $< > $@
1338.3.cat3:
1339	$(NROFF_MAN) $< > $@
1340.5.cat5:
1341	$(NROFF_MAN) $< > $@
1342.8.cat8:
1343	$(NROFF_MAN) $< > $@
1344
1345dist-cat1-mans:
1346	@foo='$(man1_MANS)'; \
1347	bar='$(man_MANS)'; \
1348	for i in $$bar; do \
1349	case $$i in \
1350	*.1) foo="$$foo $$i";; \
1351	esac; done ;\
1352	for i in $$foo; do \
1353		x=`echo $$i | sed 's/\.[^.]*$$/.cat1/'`; \
1354		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
1355		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
1356	done
1357
1358dist-cat3-mans:
1359	@foo='$(man3_MANS)'; \
1360	bar='$(man_MANS)'; \
1361	for i in $$bar; do \
1362	case $$i in \
1363	*.3) foo="$$foo $$i";; \
1364	esac; done ;\
1365	for i in $$foo; do \
1366		x=`echo $$i | sed 's/\.[^.]*$$/.cat3/'`; \
1367		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
1368		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
1369	done
1370
1371dist-cat5-mans:
1372	@foo='$(man5_MANS)'; \
1373	bar='$(man_MANS)'; \
1374	for i in $$bar; do \
1375	case $$i in \
1376	*.5) foo="$$foo $$i";; \
1377	esac; done ;\
1378	for i in $$foo; do \
1379		x=`echo $$i | sed 's/\.[^.]*$$/.cat5/'`; \
1380		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
1381		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
1382	done
1383
1384dist-cat8-mans:
1385	@foo='$(man8_MANS)'; \
1386	bar='$(man_MANS)'; \
1387	for i in $$bar; do \
1388	case $$i in \
1389	*.8) foo="$$foo $$i";; \
1390	esac; done ;\
1391	for i in $$foo; do \
1392		x=`echo $$i | sed 's/\.[^.]*$$/.cat8/'`; \
1393		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
1394		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
1395	done
1396
1397dist-hook: dist-cat1-mans dist-cat3-mans dist-cat5-mans dist-cat8-mans
1398
1399install-cat-mans:
1400	$(SHELL) $(top_srcdir)/cf/install-catman.sh install "$(INSTALL_DATA)" "$(mkinstalldirs)" "$(srcdir)" "$(DESTDIR)$(mandir)" '$(CATMANEXT)' $(man_MANS) $(man1_MANS) $(man3_MANS) $(man5_MANS) $(man8_MANS)
1401
1402uninstall-cat-mans:
1403	$(SHELL) $(top_srcdir)/cf/install-catman.sh uninstall "$(INSTALL_DATA)" "$(mkinstalldirs)" "$(srcdir)" "$(DESTDIR)$(mandir)" '$(CATMANEXT)' $(man_MANS) $(man1_MANS) $(man3_MANS) $(man5_MANS) $(man8_MANS)
1404
1405install-data-hook: install-cat-mans
1406uninstall-hook: uninstall-cat-mans
1407
1408.et.h:
1409	$(COMPILE_ET) $<
1410.et.c:
1411	$(COMPILE_ET) $<
1412
1413#
1414# Useful target for debugging
1415#
1416
1417check-valgrind:
1418	tobjdir=`cd $(top_builddir) && pwd` ; \
1419	tsrcdir=`cd $(top_srcdir) && pwd` ; \
1420	env TESTS_ENVIRONMENT="$${tsrcdir}/cf/maybe-valgrind.sh -s $${tsrcdir} -o $${tobjdir}" make check
1421
1422#
1423# Target to please samba build farm, builds distfiles in-tree.
1424# Will break when automake changes...
1425#
1426
1427distdir-in-tree: $(DISTFILES) $(INFO_DEPS)
1428	list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
1429	  if test "$$subdir" != .; then \
1430	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) distdir-in-tree) ; \
1431	  fi ; \
1432	done
1433
1434install-build-headers:: $(dist_kadm5include_HEADERS) $(nodist_kadm5include_HEADERS)
1435	@foo='$(dist_kadm5include_HEADERS) $(nodist_kadm5include_HEADERS)'; \
1436	for f in $$foo; do \
1437		f=`basename $$f`; \
1438		if test -f "$(srcdir)/$$f"; then file="$(srcdir)/$$f"; \
1439		else file="$$f"; fi; \
1440		if cmp -s  $$file $(buildkadm5include)/$$f 2> /dev/null ; then \
1441		: ; else \
1442			echo "cp $$file $(buildkadm5include)/$$f";\
1443			cp $$file $(buildkadm5include)/$$f; \
1444		fi ; \
1445	done
1446
1447iprop-commands.c iprop-commands.h: iprop-commands.in
1448	$(SLC) $(srcdir)/iprop-commands.in
1449
1450$(libkadm5srv_la_OBJECTS): kadm5_err.h
1451$(iprop_log_OBJECTS): iprop-commands.h
1452
1453client_glue.lo server_glue.lo: $(srcdir)/common_glue.c
1454
1455# to help stupid solaris make
1456
1457kadm5_err.h: kadm5_err.et
1458
1459$(libkadm5clnt_la_OBJECTS) $(libkadm5srv_la_OBJECTS): $(srcdir)/kadm5-protos.h $(srcdir)/kadm5-private.h
1460$(srcdir)/kadm5-protos.h:
1461	cd $(srcdir); perl ../../cf/make-proto.pl $(proto_opts) \
1462		-o kadm5-protos.h \
1463		$(dist_libkadm5clnt_la_SOURCES) \
1464		$(dist_libkadm5srv_la_SOURCES) \
1465		|| rm -f kadm5-protos.h
1466
1467$(srcdir)/kadm5-private.h:
1468	cd $(srcdir); perl ../../cf/make-proto.pl $(proto_opts) \
1469		-p kadm5-private.h \
1470		$(dist_libkadm5clnt_la_SOURCES) \
1471		$(dist_libkadm5srv_la_SOURCES) \
1472		|| rm -f kadm5-private.h
1473
1474# Tell versions [3.59,3.63) of GNU make to not export all variables.
1475# Otherwise a system limit (for SysV at least) may be exceeded.
1476.NOEXPORT:
1477